aboutsummaryrefslogtreecommitdiffhomepage
path: root/test/cpp/naming
diff options
context:
space:
mode:
authorGravatar Alex Polcyn <apolcyn@google.com>2018-04-05 01:58:54 +0000
committerGravatar Alex Polcyn <apolcyn@google.com>2018-04-05 08:04:28 +0000
commit11a45a805755d0ba1cc914fda78432004d6e85a5 (patch)
treee6e83f1bccb7bd1d3c5885a91a2ccfcc55512247 /test/cpp/naming
parent33b225616c69962dbb7bfc31db271d2c74c8e7a5 (diff)
Fix c-ares tests under gcc musl
Diffstat (limited to 'test/cpp/naming')
-rwxr-xr-xtest/cpp/naming/resolver_component_tests_runner.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/test/cpp/naming/resolver_component_tests_runner.sh b/test/cpp/naming/resolver_component_tests_runner.sh
index 18b56ab69b..3f8765fa94 100755
--- a/test/cpp/naming/resolver_component_tests_runner.sh
+++ b/test/cpp/naming/resolver_component_tests_runner.sh
@@ -36,7 +36,8 @@ if [[ "$GRPC_DNS_RESOLVER" != "" && "$GRPC_DNS_RESOLVER" != ares ]]; then
fi
export GRPC_DNS_RESOLVER=ares
-"$FLAGS_dns_server_bin_path" --records_config_path="$FLAGS_records_config_path" --port="$FLAGS_dns_server_port" > /dev/null 2>&1 &
+DNS_SERVER_LOG="$(mktemp)"
+"$FLAGS_dns_server_bin_path" --records_config_path="$FLAGS_records_config_path" --port="$FLAGS_dns_server_port" > "$DNS_SERVER_LOG" 2>&1 &
DNS_SERVER_PID=$!
echo "Local DNS server started. PID: $DNS_SERVER_PID"
@@ -55,8 +56,11 @@ done
if [[ $RETRY == 1 ]]; then
echo "FAILED TO START LOCAL DNS SERVER"
- kill -SIGTERM "$DNS_SERVER_PID"
+ kill -SIGTERM "$DNS_SERVER_PID" || true
wait
+ echo "========== DNS server log (merged stdout and stderr) ========="
+ cat "$DNS_SERVER_LOG"
+ echo "========== end DNS server log ================================"
exit 1
fi